Page tree

GRIB-API support is being discontinued at the end of 2018. Please consider upgrading to ecCodes


Skip to end of metadata
Go to start of metadata

Note: The Autotools feature is deprecated and may not be supported in the future. We would recommend all users to switch to CMake.

 

GRIB API installation is based on the standard configure utility. It is tested on several platforms and with several compilers. However for some platforms modifications to the installation engine may be required. If you encounter any problem during the installation procedure please send an e-mail with your problem to Software.Support@ecmwf.int.

The only required package for a standard installation is jasper which enables the jpeg2000 packing/unpacking algorithm. It is possible to build GRIB API without jasper, by using the --disable-jpeg configure option, but to install a fully functional library, its download is recommended.
Note: We also support OpenJPEG but only up to version 1.5.2.

  1. Download GRIB API from ECMWF web site.
  2. Unpack distribution:
      > gunzip grib_api-X.X.X.tar.gz
      > tar xf grib_api-X.X.X.tar
    
  3. Create the directory where to install GRIB API say grib_api_dir
      > mkdir grib_api_dir
    
  4. Run the configure in the grib_api-X.X.X
      > cd grib_api-X.X.X
      > ./configure --prefix=grib_api_dir 
    
    Please give the full path of grib_api_dir to the prefix option.
  5. make, check and install
      > make
      ...
      > make check
      ...
      > make install
      ...
    

 

  • No labels